Bug 492655 - Nouveau Test Day: KMS fails on 9800M GTS [10de:062c]
Nouveau Test Day: KMS fails on 9800M GTS [10de:062c]
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
rawhide
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
http://www.smolts.org/client/show/pub...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-27 17:17 EDT by Stefan Becker
Modified: 2009-04-01 07:01 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-01 07:01:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
xserver log (KMS case) (22.39 KB, text/plain)
2009-03-31 13:25 EDT, Stefan Becker
no flags Details
dmesg | fgrep -i -e modeset -e drm -e nouveau -e nv (KMS case) (2.13 KB, text/plain)
2009-03-31 13:26 EDT, Stefan Becker
no flags Details
xserver log (non-KMS case) (40.61 KB, text/plain)
2009-03-31 13:31 EDT, Stefan Becker
no flags Details
dmesg | fgrep -i -e modeset -e drm -e nouveau -e nv (non-KMS case) (482 bytes, text/plain)
2009-03-31 13:32 EDT, Stefan Becker
no flags Details

  None (edit)
Description Stefan Becker 2009-03-27 17:17:00 EDT
Description of problem:

When kernel parameter nouveau.modeset=1 is given the display goes blank during kernel boot. It stays blank, i.e. even X start doesn't show anything. The machine doesn't lock up though, i.e. you can still safely shut it down with CTRL-ALT-DEL.

Version-Release number of selected component (if applicable):
kernel-2.6.29-0.258.2.3.rc8.git2.fc11.x86_64
xorg-x11-drv-nouveau-0.0.12-10.20090310git8f9a580.fc11.x86_64

Smolt profile for the test machine attached as URL.
Comment 1 Ben Skeggs 2009-03-31 02:26:26 EDT
Does the non-kms support work ok?  Also, can you post me your /var/log/Xorg.0.log from after starting X in both kms and non-kms modes.

Thank you!
Comment 2 Stefan Becker 2009-03-31 13:25:34 EDT
Created attachment 337344 [details]
xserver log (KMS case)

Current rawhide versions:

kernel-2.6.29-16.fc11.x86_64
libdrm-2.4.5-3.fc11.x86_64
xorg-x11-server-Xorg-1.6.0-15.fc11.x86_64
xorg-x11-drv-nouveau-0.0.12-19.20090330git9213c39.fc11.x86_64

Yes, non-KMS works fine. Attaching requested log files.
Comment 3 Stefan Becker 2009-03-31 13:26:49 EDT
Created attachment 337345 [details]
dmesg | fgrep -i -e modeset -e drm -e nouveau -e nv (KMS case)
Comment 4 Stefan Becker 2009-03-31 13:31:25 EDT
Created attachment 337347 [details]
xserver log (non-KMS case)
Comment 5 Stefan Becker 2009-03-31 13:32:40 EDT
Created attachment 337348 [details]
dmesg | fgrep -i -e modeset -e drm -e nouveau -e nv (non-KMS case)

All log files attached. I hope you'll find what you need in them...
Comment 6 Ben Skeggs 2009-04-01 03:50:56 EDT
Thanks.  Can you give kernel-2.6.29.1-34.rc1.fc11 a try?
Comment 7 Stefan Becker 2009-04-01 07:01:55 EDT
Retested with kernel-2.6.29.1-35.rc1.fc11.x86_64 from koji. Works like a charm now, thanks!

Note You need to log in before you can comment on or make changes to this bug.